Subject: Re: bug#39199: Edit in installer doesn't work

From: Ludovic Courtès <[email-masked]>
Date: Mon, 20 Jan 2020 23:22:58 +0100

Hi Jonathan,

Jonathan Brielmaier <[email-masked]> skribis:

> I followed Ludo's call for testing the installer. I built an installer
> image from commit da76518. I couldn't find anything installer related on
> master branch since then. You can found the image here:
> https://brielmaier.net/guix-system-install-1.0.1-1.da76518.x86_64-linux.iso

Thanks a lot for testing!

> I'm testing in the Hetzner "Cloud", so basically in a VM with
> VGA/Display-output over HTTP. Everything is smooth until I click "Edit"
> at the end. I add some stuff (vim, screen packages) to the config.scm in
> nano, save it and then I click on "OK". Instead of the starting the
> actual installation, I get back to the very beginning of the
> installation proccess (choose locale).

I believe commit 48659aa22170a252c9b2e60f16fbe9f83a6deba4 fixes it.

Thanks,
Ludo’.